# Created by pyp2rpm-1.1.2
%global pypi_name pytest-mock
%global with_python3 1

Name:           python-%{pypi_name}
Version:        0.5.0
Release:        1%{?dist}
Summary:        Thin-wrapper around the mock package for easier use with py.test

License:        LGPLv3
URL:            https://github.com/pytest-dev/pytest-mock/
Source0:        https://pypi.python.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.zip
BuildArch:      noarch
 
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
 
%if %{?with_python3}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%endif # if with_python3
 
Requires:       python-setuptools
Requires:       pytest

%description
===========
pytest-mock
===========

This plugin installs a ``mocker`` fixture
which is a thin-wrapper around the patching API
provided by the excellent `mock
<http://pypi.python.org/pypi/mock>`_ package,
but with the benefit of not
having to worry about undoing patches at the end
of a test:

.. code-block::
python

 
    def test_unix_fs(mocker):
        mocker.patch('os.remove')
...

%if 0%{?with_python3}
%package -n     python3-%{pypi_name}
Summary:        Thin-wrapper around the mock package for easier use with py.test
 
Requires:       python3-setuptools
Requires:       python3-pytest

%description -n python3-%{pypi_name}
===========
pytest-mock
===========

This plugin installs a ``mocker`` fixture
which is a thin-wrapper around the patching API
provided by the excellent `mock
<http://pypi.python.org/pypi/mock>`_ package,
but with the benefit of not
having to worry about undoing patches at the end
of a test:

.. code-block::
python

 
    def test_unix_fs(mocker):
        mocker.patch('os.remove')
...
%endif # with_python3


%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info


%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'

%endif # with_python3


%build
%{__python2} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif # with_python3


%install
# Must do the subpackages' install first because the scripts in /usr/bin are
# overwritten with every setup.py install (and we want the python2 version
# to be the default for now).
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd
%endif # with_python3

%{__python2} setup.py install --skip-build --root %{buildroot}



%files
%doc README.rst LICENSE

%{python2_sitelib}/pytest_mock.py*
%{python2_sitelib}/pytest_mock-%{version}-py?.?.egg-info
%if 0%{?with_python3}
%files -n python3-%{pypi_name}
%doc README.rst LICENSE
%dir %{python3_sitelib}/__pycache__/
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/pytest_mock.py
%{python3_sitelib}/pytest_mock-%{version}-py?.?.egg-info
%endif # with_python3


%changelog
* Sun May 31 2015 Robert Kuska <rkuska@redhat.com> - 0.5.0-1
- Initial package.
